summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarol Blazewicz <karol.blazewicz@gmail.com>2013-06-17 23:48:39 +0200
committerAllan McRae <allan@archlinux.org>2013-06-18 12:55:57 +1000
commitcd421c83832adb0a81a8a5b5c3d0ad3cd91c2adb (patch)
tree5aa668a64a9087d663d6ce2f06907c221de88a57
parent85fde7038f6cf3fdfb688dfecf60dc3ca5dd03ab (diff)
downloadpacman-cd421c83832adb0a81a8a5b5c3d0ad3cd91c2adb.tar.xz
pacscripts: Update for pacman changes
Changes to pacman mean that -Sp can be called without root permissions and '-d' needs passed twice to completely ignore dependencies. Signed-off-by: Karol Błażewicz <karol.blazewicz at gmail.com> Signed-off-by: Allan McRae <allan@archlinux.org>
-rw-r--r--contrib/pacscripts.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/contrib/pacscripts.sh.in b/contrib/pacscripts.sh.in
index 368e0850..62c4e35b 100644
--- a/contrib/pacscripts.sh.in
+++ b/contrib/pacscripts.sh.in
@@ -114,10 +114,10 @@ print_scriptlet() {
error "Package $1 not found"
return 1
fi
- url=$(spacman -Sdp $1 | tail -n1)
+ url=$(pacman -Sddp $1)
filename=$(basename $url)
if [ ! -f "$pac_cache/$filename" ]; then
- if ! spacman -Sdw --noconfirm $1 >&2; then
+ if ! spacman -Sddw --noconfirm $1 >&2; then
error "Failed to download $1"
return 1
fi